#include<iostream>
#include<algorithm>
#include<queue>
#include<cstdio>

using namespace std;

int n,k,x;

int main()
{
    cin>>n>>k>>x;
    if(k==3)
    {
        if(x==2) {cout<<-1; return 0;}
        for(int i=1;i<=n-4;i++)
        {
            cout<<5000<<" ";
        }
        cout<<5000-x+1<<" "<<5001<<" "<<5001<<" "<<5002<<endl;
    }
}